Description

History

#1 - 01/09/2003 09:53 AM - John Harris

This is a feature request to allow a user to view all the datasets that they
have uploaded and downloaded. This will, most likely, be some sort of caching
system on the filesystem.

#2 - 11/24/2003 09:58 AM - Michael Lee

would be nice to have this sooner: too much to do

#3 - 08/25/2004 09:13 AM - Michael Lee

This will use the tables: userDataset and userDatasetltem to put together piles

of anything that can be referenced with an accessionCode, normally observations,
though perhaps also methods, plants, and comms. This will be plugged into the
system after querying, you will be able to select observations and add them to a
dataset.

Eventually, though perhaps not immediately, we can add the advanced features of
datasets: sharing them with other users, either as public datasets or password
protected datasets.

#4 - 05/06/2005 01:55 AM - Michael Lee

Great progress has been made here.
You can: add any observation you are looking at to the datacart.

You still need to be able to:
+add all results

+add all results from one page
+switch datacart and datasets.
+DOWNLOAD datacart
+purge datacart (and startover)

#5 - 07/22/2005 08:24 AM - Michael Lee

All of the last comment's changes have been made. Need to be able to manage
multiple datasets and choose which one is the datacart. Need to be able to add
other items (plants, comms) to datacart.

#6 - 07/28/2005 08:24 AM - Michael Lee

can now add plants and comms to datacart!

#7 - 07/28/2005 02:56 PM - Michael Lee

can now create new datacart, make old datasets the current datacart. Need to
add user's ability to rename, combine, etc.
see http://vegbank.org/wiki/Wiki.jsp?page=DatasetManager

#8 - 07/28/2005 05:33 PM - Michael Lee
http://vegbank.org/wiki/Wiki.jsp?page=DatasetManager

aldo currently supports adding a new datacart, which saves the old. Then you can
activate any dataset to become the current datacart.

#9 - 08/09/2005 05:12 PM - P. Anderson
It is now possible to very easily edit the name and description of a dataset.

AJdaX and <vegbank:update> were used.

#10 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 846
